ID CVE-2006-5469
Summary Unspecified vulnerability in the WBXML dissector in Wireshark (formerly Ethereal) 0.10.11 through 0.99.3 allows remote attackers to cause a denial of service (crash) via certain vectors that trigger a null dereference.
References
Vulnerable Configurations
  • cpe:2.3:a:wireshark:wireshark:0.7.9
    cpe:2.3:a:wireshark:wireshark:0.7.9
  • cpe:2.3:a:wireshark:wireshark:0.8.16
    cpe:2.3:a:wireshark:wireshark:0.8.16
  • cpe:2.3:a:wireshark:wireshark:0.9.10
    cpe:2.3:a:wireshark:wireshark:0.9.10
  • cpe:2.3:a:wireshark:wireshark:0.10
    cpe:2.3:a:wireshark:wireshark:0.10
  • cpe:2.3:a:wireshark:wireshark:0.10.4
    cpe:2.3:a:wireshark:wireshark:0.10.4
  • cpe:2.3:a:wireshark:wireshark:0.10.13
    cpe:2.3:a:wireshark:wireshark:0.10.13
  • cpe:2.3:a:wireshark:wireshark:0.99
    cpe:2.3:a:wireshark:wireshark:0.99
  • cpe:2.3:a:wireshark:wireshark:0.99.1
    cpe:2.3:a:wireshark:wireshark:0.99.1
  • Wireshark 0.99.2
    cpe:2.3:a:wireshark:wireshark:0.99.2
  • Wireshark 0.99.3
    cpe:2.3:a:wireshark:wireshark:0.99.3
CVSS
Base: 5.0 (as of 30-10-2006 - 16:33)
Impact:
Exploitability:
Access
VectorComplexityAuthentication
NETWORK LOW NONE
Impact
ConfidentialityIntegrityAvailability
NONE NONE PARTIAL
nessus via4
  • NASL family Mandriva Local Security Checks
    NASL id MANDRAKE_MDKSA-2006-195.NASL
    description Vulnerabilities in the HTTP, LDAP, XOT, WBXML, and MIME Multipart dissectors were discovered in versions of wireshark less than 0.99.4, as well as various other bugs. This updated provides wireshark 0.99.4 which is not vulnerable to these issues.
    last seen 2019-02-21
    modified 2018-11-15
    plugin id 24580
    published 2007-02-18
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=24580
    title Mandrake Linux Security Advisory : wireshark (MDKSA-2006:195)
  • NASL family CentOS Local Security Checks
    NASL id CENTOS_RHSA-2006-0726.NASL
    description New Wireshark packages that fix various security vulnerabilities are now available. This update has been rated as having moderate security impact by the Red Hat Security Response Team. Wireshark is a program for monitoring network traffic. Several flaws were found in Wireshark's HTTP, WBXML, LDAP, and XOT protocol dissectors. Wireshark could crash or stop responding if it read a malformed packet off the network. (CVE-2006-4805, CVE-2006-5468, CVE-2006-5469, CVE-2006-5740) A single NULL byte heap based buffer overflow was found in Wireshark's MIME Multipart dissector. Wireshark could crash or possibly execute arbitrary arbitrary code as the user running Wireshark. (CVE-2006-4574) Users of Wireshark should upgrade to these updated packages containing Wireshark version 0.99.4, which is not vulnerable to these issues.
    last seen 2019-02-21
    modified 2018-11-10
    plugin id 36335
    published 2009-04-23
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=36335
    title CentOS 3 / 4 : wireshark (CESA-2006:0726)
  • NASL family Red Hat Local Security Checks
    NASL id REDHAT-RHSA-2006-0726.NASL
    description New Wireshark packages that fix various security vulnerabilities are now available. This update has been rated as having moderate security impact by the Red Hat Security Response Team. Wireshark is a program for monitoring network traffic. Several flaws were found in Wireshark's HTTP, WBXML, LDAP, and XOT protocol dissectors. Wireshark could crash or stop responding if it read a malformed packet off the network. (CVE-2006-4805, CVE-2006-5468, CVE-2006-5469, CVE-2006-5740) A single NULL byte heap based buffer overflow was found in Wireshark's MIME Multipart dissector. Wireshark could crash or possibly execute arbitrary arbitrary code as the user running Wireshark. (CVE-2006-4574) Users of Wireshark should upgrade to these updated packages containing Wireshark version 0.99.4, which is not vulnerable to these issues.
    last seen 2019-02-21
    modified 2018-11-16
    plugin id 23677
    published 2006-11-20
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=23677
    title RHEL 2.1 / 3 / 4 : wireshark (RHSA-2006:0726)
  • NASL family SuSE Local Security Checks
    NASL id SUSE_ETHEREAL-2246.NASL
    description Various problems have been fixed in the network analyzer Ethereal, most leading to crashes of the ethereal program. CVE-2006-5740: A unspecified vulnerability in the LDAP dissector could be used to crash Ethereal. CVE-2006-4574: A single \0 byte heap overflow was fixed in the MIME multipart dissector. Potential of exploitability is unknown, but considered low. CVE-2006-4805: A denial of service problem in the XOT dissector can cause it to take up huge amount of memory and crash ethereal. CVE-2006-5469: The WBXML dissector could be used to crash ethereal. CVE-2006-5468: A NULL pointer dereference in the HTTP dissector could crash ethereal.
    last seen 2019-02-21
    modified 2018-07-19
    plugin id 27207
    published 2007-10-17
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=27207
    title openSUSE 10 Security Update : ethereal (ethereal-2246)
  • NASL family SuSE Local Security Checks
    NASL id SUSE_ETHEREAL-2248.NASL
    description Various problems have been fixed in the network analyzer Ethereal, most leading to crashes of the ethereal program. - A unspecified vulnerability in the LDAP dissector could be used to crash Ethereal. (CVE-2006-5740) - A single \0 byte heap overflow was fixed in the MIME multipart dissector. Potential of exploitability is unknown, but considered low. (CVE-2006-4574) - A denial of service problem in the XOT dissector can cause it to take up huge amount of memory and crash ethereal. (CVE-2006-4805) - The WBXML dissector could be used to crash ethereal. (CVE-2006-5469) - A NULL pointer dereference in the HTTP dissector could crash ethereal. (CVE-2006-5468)
    last seen 2019-02-21
    modified 2012-05-17
    plugin id 29420
    published 2007-12-13
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=29420
    title SuSE 10 Security Update : ethereal (ZYPP Patch Number 2248)
  • NASL family Oracle Linux Local Security Checks
    NASL id ORACLELINUX_ELSA-2006-0726.NASL
    description New Wireshark packages that fix various security vulnerabilities are now available. This update has been rated as having moderate security impact by the Red Hat Security Response Team. Wireshark is a program for monitoring network traffic. Users of Wireshark should upgrade to these updated packages containing Wireshark version 0.99.4, which is not vulnerable to these issues. From Red Hat Security Advisory 2006:0726 : Several flaws were found in Wireshark's HTTP, WBXML, LDAP, and XOT protocol dissectors. Wireshark could crash or stop responding if it read a malformed packet off the network. (CVE-2006-4805, CVE-2006-5468, CVE-2006-5469, CVE-2006-5740) A single NULL byte heap based buffer overflow was found in Wireshark's MIME Multipart dissector. Wireshark could crash or possibly execute arbitrary arbitrary code as the user running Wireshark. (CVE-2006-4574) From Red Hat Security Advisory 2006:0658 : Bugs were found in Wireshark's SCSI and SSCOP protocol dissectors. Ethereal could crash or stop responding if it read a malformed packet off the network. (CVE-2006-4330, CVE-2006-4333) An off-by-one bug was found in the IPsec ESP decryption preference parser. Ethereal could crash or stop responding if it read a malformed packet off the network. (CVE-2006-4331) From Red Hat Security Advisory 2006:0602 : In May 2006, Ethereal changed its name to Wireshark. This update deprecates the Ethereal packages in Red Hat Enterprise Linux 2.1, 3, and 4 in favor of the supported Wireshark packages. Several denial of service bugs were found in Ethereal's protocol dissectors. It was possible for Ethereal to crash or stop responding if it read a malformed packet off the network. (CVE-2006-3627, CVE-2006-3629, CVE-2006-3631) Several buffer overflow bugs were found in Ethereal's ANSI MAP, NCP NMAS, and NDPStelnet dissectors. It was possible for Ethereal to crash or execute arbitrary code if it read a malformed packet off the network. (CVE-2006-3630, CVE-2006-3632) Several format string bugs were found in Ethereal's Checkpoint FW-1, MQ, XML, and NTP dissectors. It was possible for Ethereal to crash or execute arbitrary code if it read a malformed packet off the network. (CVE-2006-3628)
    last seen 2019-02-21
    modified 2018-07-18
    plugin id 67418
    published 2013-07-12
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=67418
    title Oracle Linux 4 : wireshark (ELSA-2006-0726 / ELSA-2006-0658 / ELSA-2006-0602)
oval via4
accepted 2013-04-29T04:20:05.809-04:00
class vulnerability
contributors
  • name Aharon Chernin
    organization SCAP.com, LLC
  • name Dragos Prisaca
    organization G2, Inc.
definition_extensions
  • comment The operating system installed on the system is Red Hat Enterprise Linux 3
    oval oval:org.mitre.oval:def:11782
  • comment CentOS Linux 3.x
    oval oval:org.mitre.oval:def:16651
  • comment The operating system installed on the system is Red Hat Enterprise Linux 4
    oval oval:org.mitre.oval:def:11831
  • comment CentOS Linux 4.x
    oval oval:org.mitre.oval:def:16636
  • comment Oracle Linux 4.x
    oval oval:org.mitre.oval:def:15990
description Unspecified vulnerability in the WBXML dissector in Wireshark (formerly Ethereal) 0.10.11 through 0.99.3 allows remote attackers to cause a denial of service (crash) via certain vectors that trigger a null dereference.
family unix
id oval:org.mitre.oval:def:9537
status accepted
submitted 2010-07-09T03:56:16-04:00
title Unspecified vulnerability in the WBXML dissector in Wireshark (formerly Ethereal) 0.10.11 through 0.99.3 allows remote attackers to cause a denial of service (crash) via certain vectors that trigger a null dereference.
version 23
redhat via4
advisories
rhsa
id RHSA-2006:0726
rpms
  • wireshark-0:0.99.4-EL3.1
  • wireshark-gnome-0:0.99.4-EL3.1
  • wireshark-0:0.99.4-EL4.1
  • wireshark-gnome-0:0.99.4-EL4.1
refmap via4
bid 20762
bugtraq 20061101 rPSA-2006-0202-1 tshark wireshark
confirm
mandriva MDKSA-2006:195
sectrack 1017129
secunia
  • 22590
  • 22672
  • 22692
  • 22797
  • 22841
  • 22929
  • 23096
sgi 20061101-01-P
suse SUSE-SA:2006:065
vupen ADV-2006-4220
xf wireshark-wbxml-dos(29842)
Last major update 07-03-2011 - 21:43
Published 27-10-2006 - 20:07
Last modified 17-10-2018 - 17:43
Back to Top